/*
 * %rtfcol      Copyright Stat-Tech Services, LLC 1998
 *
 *       Please register this product.
 *
 *       For questions or comments please contact:
 *
 *       Stat-Tech Services, LLC
 *       105 N. Crabtree Knoll
 *       Chapel Hill, NC  27514
 *       Fax:  919-493-2776 / Phone:  919-493-2106
 *
 *       Questions - please e-mail stattsrv@aol.com
 *
 *       see http://members.aol.com/stattsrv/stattech.htm or
 *           http://members.aol.com/stattsrv/freemacros.htm for latest versions
 *
 * Purpose-  adds a column to the RTF output file
 * Author-   G. DeMuth
 * Date-     15 Nov 1998
 *
 * Modifications
 *
        4/13/00 2:52PM updated to optionally add continuation text to by groups that span two or more
        pages (see options context and usecont). Default usecont=y For any variable with type=by- jri004

 */

%macro rtfcol(var=,                             /* Variable */
              fmt=,                             /* Format */
              label=,                           /* Label */
              just=c,                           /* Justification */
              width=10,                         /* Width (tenths of inches) */
              type=,                            /* BY creates a sorted variable */
              hang=0,                           /* Hanging indent (tenths of inches) */
              context=%bquote((Continued)),     /* Text to be appended to by variable when by group
                                                   records span two or more pages. */
              usecont=y                         /* set to Y if context appending wanted */
              );

    %let _ncol = %eval(&_ncol + 1) ;

    %global _var&_ncol _fmt&_ncol _lab&_ncol _just&_ncol
            _wid&_ncol _hang&_ncol _typ&_ncol

            _cntx&_ncol
            _uscnt&_ncol

            ;

    %let _var&_ncol = &var ;
    %let _fmt&_ncol = &fmt ;
    %let _lab&_ncol = &label ;
    %let _just&_ncol = %lowcase(%substr(&just,1,1)) ;
    %let _wid&_ncol = %eval( %sysfunc( int( 144* &width)) ) ;
    %let _hang&_ncol = %eval( %sysfunc( int( 144* &hang)) ) ;
    %let _typ&_ncol = %upcase(&type) ;

        %let _cntx&_ncol=&context;
        %let _uscnt&_ncol=%upcase(%substr(&usecont, 1, 1));


%mend rtfcol ;

