/*
 * %rtffoot   Copyright Stat-Tech Services, LLC 1998
 *
 *       Please register this product.
 *
 *       For questions or comments please contact:
 *
 *       Stat-Tech Services, LLC
 *       105 N. Crabtree Knoll
 *       Chapel Hill, NC  27514
 *       Fax:  919-493-2776 / Phone:  919-493-2106
 *
 *       questions:  e-mail  stattsrv@aol.com
 *
 *       see http://www.stattechservices.com/rtf.htm
 * 
 * Purpose-  Creates an RTF Foot
 * Author-   G. DeMuth
 * Date-     15 Nov 1998
 * 
 * Modifications
 *
 *       Added ltext=  and rtext=   options for right and left justified
 *                                  text in footnotes. 28 Nov 1998  ged001
 */

%macro rtffoot(text=,          /* Text */
               ltext=,         /* Left Text */
               rtext=,         /* Right Text */
               lmarg=15,       /* Left cell in 10ths of inches */
               rmarg=15,       /* Right cell in 10ths of inches */
               fontnum=3,      /* Font number */
               fontsize=10,    /* Font Size */
               just=l,         /* Justification */
               bold=N,         /* Bold */
               under=N,        /* Underline */
               italics=N) ;    /* Italics */

    %* Global variables ;
    %let _nfoot = %eval(&_nfoot + 1) ;
    %global _ftxt&_nfoot _ffn&_nfoot _ffs&_nfoot
            _frtxt&_nfoot _fltxt&_nfoot
            _fjst&_nfoot _fbold&_nfoot _funder&_nfoot
            _fital&_nfoot _flm&_nfoot _frm&_nfoot ;

    %* Store information ;
    %let _ftxt&_nfoot = &text ;
    %let _frtxt&_nfoot = &rtext ;
    %let _fltxt&_nfoot = &ltext ;
    %let _flm&_nfoot = %eval(144*&lmarg) ;
    %let _frm&_nfoot = %eval(144*&rmarg) ;
    %let _ffn&_nfoot = &fontnum ;
    %let _ffs&_nfoot = %eval(2*&fontsize) ;
    %let _fjst&_nfoot = %lowcase(%substr(&just,1,1)) ;
    %let _fbold&_nfoot = %substr(%upcase(&bold),1,1) ;
    %let _funder&_nfoot = %substr(%upcase(&under),1,1) ;
    %let _fital&_nfoot = %substr(%upcase(&italics),1,1) ;

%mend rtffoot ;
