/*
 * %rtfprofq   Copyright Stat-Tech Services, LLC 1999
 *
 *       For questions or comments please contact:
 *
 *       Stat-Tech Services, LLC
 *       105 N. Crabtree Knoll
 *       Chapel Hill, NC  27514
 *       Fax:  919-493-2776 / Phone:  919-493-2106
 *
 *       Questions - please e-mail stattsrv@aol.com
 *
 *       http://members.aol.com/stattsrv/stattech.htm
 * 
 * Purpose-  initializes an RTF quick table for the RTF profile system
 * Author-   G. DeMuth
 * Date-     28 Feb 1999
 * 
 * Modifications
 *
 */

%macro rtfprofq(data=,      /* data set to print */
                headskip=N,      /* skip line after header */
                bodyfont=3,       /* Body font # and font size */
                bodysize=10,
                labfont=3,        /* Label font # and font size */
                labsize=10,
                labbold=Y,
                labital=N,        /* Label special font control */
                labunder=N,
                land=Y,
                useleft=Y,
                style=lines,      /* Lines, Outline, Boxes */
                line=,            /* Line variable */
                split=*
                 ) ;

    %local _i ;

    %global _data _ncol _bodyf _bodys _labf _labs 
            _labb _labi _labu _land _split _nspan _line _style
            _clevel _aleft _topline _uleft _hedskip
            ;

    %* Set values of global values to null to clear old information ;
    %let _data = &data ;
    %let _bodyf = &bodyfont ;
    %let _bodys = %eval(2*&bodysize) ;
    %let _labf = &labfont ;
    %let _labs = %eval(2*&labsize) ;
    %let _labb = %substr(%upcase(&labbold),1,1) ;
    %let _labu = %substr(%upcase(&labunder),1,1) ;
    %let _labi = %substr(%upcase(&labital),1,1) ;
    %let _land = %upcase(%substr(&land,1,1)) ;
    %let _split = &split ;
    %let _line = &line ;
    %let _uleft = %upcase(%substr(useleft,1,1)) ;
    %let _linespc = 100 ;
    %let _hedskip=%substr(%upcase(&headskip),1,1) ;
    %let _ncol = 0 ;
    %let _nspan = 0 ;
    %let _clevel = 0 ;
    %let _style = %upcase(&style) ;


%mend rtfprofq ;


