/*
 * %rtfspan  Copyright Stat-Tech Services, LLC  1998
 *
 *       Please register this product.
 *
 *       For questions or comments please contact:
 *
 *       Stat-Tech Services, LLC
 *       105 N. Crabtree Knoll
 *       Chapel Hill, NC  27514
 *       Fax:  919-493-2776 / Phone:  919-493-2106
 *
 *       Questions - please e-mail stattsrv@aol.com
 *
 *       see http://www.stattechservices.com/rtf.htm
 * 
 * Purpose-  Creates a Spanning Header for RTF Print System
 * Author-   G. DeMuth
 * Date-     16 Nov 1998
 * 
 * Modifications
 *
 *   20 Nov 1998  Changed syntax for RTFSPAN
 */

%macro rtfspan(text=,          /* Text */
               fontnum=1,      /* Font number */
               fontsize=10,    /* Font Size */
               just=c,         /* Justification */
               bold=N,         /* Bold */
               under=N,        /* Underline */
               italics=N) ;    /* Italics */

    %* Adjust level information ;
    %let _clevel = %eval(&_clevel + 1) ;

    %* Global variables ;
    %let _nspan = %eval(&_nspan + 1) ;
    %global _stxt&_nspan _sfn&_nspan _sfs&_nspan
            _sjst&_nspan _sbold&_nspan _sunder&_nspan
            _sital&_nspan _strt&_nspan _stop&_nspan
            _slvl&_nspan ;

    %* Store information ;
    %let _stxt&_nspan = &text ;
    %let _sfn&_nspan = &fontnum ;
    %let _sfs&_nspan = %eval(2*&fontsize) ;
    %let _strt&_nspan = %eval(&_ncol + 1) ;
    %let _stop&_nspan = ;
    %let _slvl&_nspan = &_clevel ;
    %let _sjst&_nspan = %substr(%lowcase(&just),1,1) ;
    %let _sbold&_nspan = %substr(%upcase(&bold),1,1) ;
    %let _sunder&_nspan = %substr(%upcase(&under),1,1) ;
    %let _sital&_nspan = %substr(%upcase(&italics),1,1) ;

%mend rtfspan ;
