/*
 * %rtfspend  Copyright Stat-Tech Services, LLC 1998
 *
 *       Please register this product.
 *
 *       For questions or comments please contact:
 *
 *       Stat-Tech Services, LLC
 *       105 N. Crabtree Knoll
 *       Chapel Hill, NC  27514
 *       Fax:  919-493-2776 / Phone:  919-493-2106
 *
 *       Questions - please e-mail stattsrv@aol.com
 *
 *       see http://www.stattechservices.com/rtf.htm
 * 
 * Purpose-  Terminates a Spanning Header for RTF Print System
 * Author-   G. DeMuth
 * Date-     20 Nov 1998
 * 
 * Modifications
 */

%macro rtfspend ;

    %local _f _i _t ;

    %* Decrease level of heads ;
    %let _clevel = %eval(&_clevel - 1) ;

    %* determine highest un-closed header ;
    %let _f = 0 ;
    %do _i = 1 %to &_nspan ;
        %if &&_stop&_i eq %then %let _f = &_i ;
        %end ;

    %* update stop-start fields for spanning header ;
    %let _t = &&_strt&_f ;
    %let _strt&_f = &&_var&_t ;
    %let _stop&_f = &&_var&_ncol ;

%mend rtfspend ;

