/*
 * %rtftail   Copyright Stat-Tech Services, LLC 1998
 *
 *       Please register this product.
 *
 *       For questions or comments please contact:
 *
 *       Stat-Tech Services, LLC
 *       105 N. Crabtree Knoll
 *       Chapel Hill, NC  27514
 *       Fax:  919-493-2776 / Phone:  919-493-2106
 *
 *       Questions - please e-mail stattsrv@aol.com
 *
 *       see http://www.stattechservices.com/rtf.htm
 * 
 * Purpose-  Creates an RTF Table "tail"
 * Author-   G. DeMuth
 * Date-     16 Nov 1998
 * 
 * Modifications
 */

%macro rtftail(text=,          /* Text */
               fontnum=3,      /* Font number */
               fontsize=10,    /* Font Size */
               just=l,         /* Justification */
               bold=N,         /* Bold */
               under=N,        /* Underline */
               italics=N) ;    /* Italics */

    %* Global variables ;
    %let _ntail = %eval(&_ntail + 1) ;
    %global _ttxt&_ntail _tfn&_ntail _tfs&_ntail
            _tjst&_ntail _tbold&_ntail _tunder&_ntail
            _tital&_ntail ;

    %* Store information ;
    %let _ttxt&_ntail = &text ;
    %let _tfn&_ntail = &fontnum ;
    %let _tfs&_ntail = %eval(2*&fontsize) ;
    %let _tjst&_ntail = %lowcase(%substr(&just,1,1)) ;
    %let _tbold&_ntail = %substr(%upcase(&bold),1,1) ;
    %let _tunder&_ntail = %substr(%upcase(&under),1,1) ;
    %let _tital&_ntail = %substr(%upcase(&italics),1,1) ;

%mend rtftail ;
