/*
 * %rtftitle   Copyright Stat-Tech Services, LLC 1998
 *
 *       Please register this product.
 *
 *       For questions or comments please contact:
 *
 *       Stat-Tech Services, LLC
 *       105 N. Crabtree Knoll
 *       Chapel Hill, NC  27514
 *       Fax:  919-493-2776 / Phone:  919-493-2106
 *
 *       Questions - please e-mail stattsrv@aol.com
 *
 *       see http://www.stattechservices.com/rtf.htm
 * 
 * Purpose-  Creates an RTF Title
 * Author-   G. DeMuth
 * Date-     15 Nov 1998
 * 
 * Modifications
 *
 *    Added ltext=   for left justified text in header   ged001
 *          rtext=   for right justified text in header
 */

%macro rtftitle(text=,          /* Text */
                ltext=,         /* Left Text */
                rtext=,         /* Right Text */
                lmarg=15,       /* Left cell in 10ths of inches */
                rmarg=15,       /* Right cell in 10ths of inches */
                fontnum=3,      /* Font number */
                fontsize=10,    /* Font Size */
                just=c,         /* Justification */
                bold=N,         /* Bold */
                under=N,        /* Underline */
                italics=N) ;    /* Italics */

    %* Global variables ;
    %let _nhead = %eval(&_nhead + 1) ;
    %global _htxt&_nhead _hrtxt&_nhead _hltxt&_nhead
            _hfn&_nhead _hfs&_nhead _hjst&_nhead _hbold&_nhead 
            _hunder&_nhead _hital&_nhead _hlm&_nhead _hrm&_nhead ;

    %* Store information ;
    %let _htxt&_nhead = &text ;
    %let _hrtxt&_nhead = &rtext ;
    %let _hltxt&_nhead = &ltext ;
    %let _hlm&_nhead = %eval(144*&lmarg) ;
    %let _hrm&_nhead = %eval(144*&rmarg) ;
    %let _hfn&_nhead = &fontnum ;
    %let _hfs&_nhead = %eval(2*&fontsize) ;
    %let _hjst&_nhead = %substr(%lowcase(&just),1,1) ;
    %let _hbold&_nhead = %substr(%upcase(&bold),1,1) ;
    %let _hunder&_nhead = %substr(%upcase(&under),1,1) ;
    %let _hital&_nhead = %substr(%upcase(&italics),1,1) ;

%mend rtftitle ;
